Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.common
Class NamespaceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.slide.common.SlideException
                  org.apache.slide.common.NamespaceException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ServicesInitializationFailedException, ServicesShutDownFailedException

public class NamespaceException
extends SlideException

Namespace exception.

Version:
  $Revision: 1.7 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.lang.Exception
``

Constructor Summary
`NamespaceException(java.lang.String message)` Constructor.

Method Summary
`(package private) void` | `addException(SlideException exception)` Add an exception to the nested exception.
`(package private) boolean` | `isEmpty()` Returns true if no exceptions have been put in this exception.
`java.lang.String` | `toString()` Displays the exception message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamespaceException

    public NamespaceException(java.lang.String message)

  Constructor.

Parameters:
  `message` - Exception message

Method Detail

### toString

    public java.lang.String toString()

  Displays the exception message.

  Returns:
    String Message

### addException

    void addException(SlideException exception)

  Add an exception to the nested exception.

  Parameters:
    `exception` - Exception to be added

### isEmpty

    boolean isEmpty()

  Returns true if no exceptions have been put in this exception.

  Returns:
    boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD